Update tax code

PUT /api/v1/tax/codes/{code_id}

Update an existing tax code.

Operation ID: update_tax_code_api_v1_tax_codes__code_id__put · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

code_id string required

Request body

code string
name string
description string
is_taxable boolean
is_active boolean

Responses

200 Successful Response

id string required

Tax code UUID

business_id string required

Business UUID

code string required

Tax code

name string required

Display name

description string

Description

is_taxable boolean required

Is taxable

is_active boolean required

Is active

created_at string · date-time required

Creation timestamp

updated_at string · date-time required

Last update timestamp

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

404 Not Found - Resource does not exist

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object